Open CASCADE Technology
7.2.0
|
This class implements the following algorithms used to create Circle from Geom2d. More...
#include <GCE2d_MakeCircle.hxx>
Public Member Functions | |
GCE2d_MakeCircle (const gp_Circ2d &C) | |
creates a circle from a non persistent one. More... | |
GCE2d_MakeCircle (const gp_Ax2d &A, const Standard_Real Radius, const Standard_Boolean Sense=Standard_True) | |
A is the "XAxis" of the circle which defines the origin of parametrization. It is not forbidden to create a circle with Radius = 0.0 The status is "NegativeRadius" if Radius < 0. More... | |
GCE2d_MakeCircle (const gp_Ax22d &A, const Standard_Real Radius) | |
A is the local coordinate system of the circle which defines the origin of parametrization. It is not forbidden to create a circle with Radius = 0.0 The status is "NegativeRadius" if Radius < 0. More... | |
GCE2d_MakeCircle (const gp_Circ2d &Circ, const Standard_Real Dist) | |
Make a Circle from Geom2d <TheCirc> parallel to another Circ <Circ> with a distance <Dist>. If Dist is greater than zero the result is enclosing the circle <Circ>, else the result is enclosed by the circle <Circ>. More... | |
GCE2d_MakeCircle (const gp_Circ2d &Circ, const gp_Pnt2d &Point) | |
Make a Circle from Geom2d <TheCirc> parallel to another Circ <Circ> and passing through a Pnt <Point>. More... | |
GCE2d_MakeCircle (const gp_Pnt2d &P1, const gp_Pnt2d &P2, const gp_Pnt2d &P3) | |
Make a Circ from gp <TheCirc> passing through 3 Pnt2d <P1>,<P2>,<P3>. More... | |
GCE2d_MakeCircle (const gp_Pnt2d &P, const Standard_Real Radius, const Standard_Boolean Sense=Standard_True) | |
Make a Circ from geom2d <TheCirc> by its center an radius. More... | |
GCE2d_MakeCircle (const gp_Pnt2d &Center, const gp_Pnt2d &Point, const Standard_Boolean Sense=Standard_True) | |
Makes a Circle from geom2d <TheCirc> with its center | |
const Handle< Geom2d_Circle > & | Value () const |
Returns the constructed circle. Exceptions StdFail_NotDone if no circle is constructed. More... | |
operator const Handle< Geom2d_Circle > & () const | |
Public Member Functions inherited from GCE2d_Root | |
Standard_Boolean | IsDone () const |
Returns true if the construction is successful. More... | |
gce_ErrorType | Status () const |
Returns the status of the construction. More... | |
Additional Inherited Members | |
Protected Attributes inherited from GCE2d_Root | |
gce_ErrorType | TheError |
This class implements the following algorithms used to create Circle from Geom2d.
GCE2d_MakeCircle::GCE2d_MakeCircle | ( | const gp_Circ2d & | C | ) |
creates a circle from a non persistent one.
GCE2d_MakeCircle::GCE2d_MakeCircle | ( | const gp_Ax2d & | A, |
const Standard_Real | Radius, | ||
const Standard_Boolean | Sense = Standard_True |
||
) |
A is the "XAxis" of the circle which defines the origin of parametrization. It is not forbidden to create a circle with Radius = 0.0 The status is "NegativeRadius" if Radius < 0.
GCE2d_MakeCircle::GCE2d_MakeCircle | ( | const gp_Ax22d & | A, |
const Standard_Real | Radius | ||
) |
A is the local coordinate system of the circle which defines the origin of parametrization. It is not forbidden to create a circle with Radius = 0.0 The status is "NegativeRadius" if Radius < 0.
GCE2d_MakeCircle::GCE2d_MakeCircle | ( | const gp_Circ2d & | Circ, |
const Standard_Real | Dist | ||
) |
Make a Circle from Geom2d <TheCirc> parallel to another Circ <Circ> with a distance <Dist>. If Dist is greater than zero the result is enclosing the circle <Circ>, else the result is enclosed by the circle <Circ>.
Make a Circle from Geom2d <TheCirc> parallel to another Circ <Circ> and passing through a Pnt <Point>.
GCE2d_MakeCircle::GCE2d_MakeCircle | ( | const gp_Pnt2d & | P1, |
const gp_Pnt2d & | P2, | ||
const gp_Pnt2d & | P3 | ||
) |
Make a Circ from gp <TheCirc> passing through 3 Pnt2d <P1>,<P2>,<P3>.
GCE2d_MakeCircle::GCE2d_MakeCircle | ( | const gp_Pnt2d & | P, |
const Standard_Real | Radius, | ||
const Standard_Boolean | Sense = Standard_True |
||
) |
Make a Circ from geom2d <TheCirc> by its center an radius.
GCE2d_MakeCircle::GCE2d_MakeCircle | ( | const gp_Pnt2d & | Center, |
const gp_Pnt2d & | Point, | ||
const Standard_Boolean | Sense = Standard_True |
||
) |
Makes a Circle from geom2d <TheCirc> with its center
|
inline |
const Handle< Geom2d_Circle >& GCE2d_MakeCircle::Value | ( | ) | const |
Returns the constructed circle. Exceptions StdFail_NotDone if no circle is constructed.